Package voltage.effects

# Class DigitalReverbEffect

java.lang.Object
voltage.effects.DigitalReverbEffect

public class DigitalReverbEffect extends Object
A simple digital reverb.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DigitalReverbEffect()`
  Construct a digital reverb.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `GetWet()`
  Get the wet amount.
  `double`
  `ProcessSample(double inputSample)`
  Process a sample.
  `void`
  `ProcessSample(double[] inputSamples, double[] outputSamples)`
  Process a stereo signal.
  `void`
  `SetDamp(double damp)`
  Set the damping amount.
  `void`
  `SetRoomSize(double size)`
  Sets the room size.
  `void`
  `SetWet(double wet)`
  Set the wet amount.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DigitalReverbEffect

    public DigitalReverbEffect()
    Construct a digital reverb.

- ## Method Details

  - ### ProcessSample

    public double ProcessSample(double inputSample)
    Process a sample.
    Parameters:
      `inputSample` - the input signal.
    Returns:
      the reverberated signal.

  - ### ProcessSample

    public void ProcessSample(double[] inputSamples, double[] outputSamples)
    Process a stereo signal.
    Parameters:
      `inputSamples` - stereo input. inputSamples[0] is the left channel and inputSamples[1] is the right channel.
      `outputSamples` - the stereo reverberated output. outputSamples[0] is the left channel and outputSamples[1] is the right channel.

  - ### SetDamp

    public void SetDamp(double damp)
    Set the damping amount.
    Parameters:
      `damp` - valid ranges are from 0 to 1.0.

  - ### SetRoomSize

    public void SetRoomSize(double size)
    Sets the room size.
    Parameters:
      `size` - valid ranges are from 0 to 1.0.

  - ### GetWet

    public double GetWet()
    Get the wet amount.
    Returns:
      the wet amount.

  - ### SetWet

    public void SetWet(double wet)
    Set the wet amount.
    Parameters:
      `wet` - from 0 to 1.0